What patches do i need? -1 reply

Please wait...

draco_james

I'm too cool to Post

50 XP

27th December 2003

0 Uploads

3 Posts

0 Threads

#1 14 years ago

I bought version 1.45 what patches do i need? I got the incremental 1.45 to 1.5 and it installed, but the incremental "Stand Alone Server" wont install. It says something like "Setup couldn't find an Battlefield Server Install" I'm not sure exactly... It won't let me go online! PLEEEEASE HELP!




draco_james

I'm too cool to Post

50 XP

27th December 2003

0 Uploads

3 Posts

0 Threads

#2 14 years ago

I bought version 1.45 what patches do i need? I got the incremental 1.45 to 1.5 and it installed, but the incremental "Stand Alone Server" wont install. It says something like "Setup couldn't find an Battlefield Server Install" I'm not sure exactly... It won't let me go online! PLEEEEASE HELP!




BF1942_AZ

Forgotten Hope Veteran

50 XP

3rd April 2003

0 Uploads

140 Posts

0 Threads

#3 14 years ago

you only need the stand alone server patches if you want to run a standalone server. which you don't have installed, which is why it tells you it cannot find one. if you did though, you would just download the 1.5 stand alone server, ftp://largedownloads.ea.com/pub/patches/battlefield_1942_server_only_1.5.exe.




draco_james

I'm too cool to Post

50 XP

27th December 2003

0 Uploads

3 Posts

0 Threads

#4 14 years ago

So what I have is all that I need? It still tells me i have the wrong version when i try to play online.:(




TribalSun

No soup for you !!!

50 XP

11th December 2003

0 Uploads

69 Posts

0 Threads

#5 14 years ago

Uninstall the game, delete the Battlefield 1942 folder leftover from the previous install (default should be "C:\Program Files\EAGames\Battlefield1942" or something similar depending on where you installed the game) and defrag your hard drive.

Download the full 1.5 patch CLICK HERE, reinstall the game then install the 1.5 Full Patch, reboot just for good measure and enjoy.